[Setup]
AppId={{E3ECEB1E-DB86-41C0-A08A-5893C208487F}
AppName=StackApplet
AppVerName=StackApplet 1.4.1 Beta
AppPublisher=Nathan Osman
AppPublisherURL=https://launchpad.net/stackapplet
AppSupportURL=https://launchpad.net/stackapplet
AppUpdatesURL=https://launchpad.net/stackapplet
DefaultDirName={pf}\StackApplet
DefaultGroupName=StackApplet
LicenseFile=LICENSE.txt
OutputBaseFilename=stackapplet_1.4.1_i686_setup
OutputDir=.
Compression=lzma
SolidCompression=yes
WizardImageFile=sidebar.bmp
WizardSmallImageFile=icon.bmp

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"
Name: "french"; MessagesFile: "compiler:Languages\French.isl"
Name: "spanish"; MessagesFile: "compiler:Languages\Spanish.isl"

[Tasks]
Name: "launchonstartup"; Description: "Launch &StackApplet when the computer starts"; GroupDescription: "Additional tasks:"
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "..\..\src\dist\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\StackApplet"; Filename: "{app}\stackapplet.exe"
Name: "{userstartup}\StackApplet"; Filename: "{app}\stackapplet.exe"; Tasks: launchonstartup
Name: "{commondesktop}\StackApplet"; Filename: "{app}\stackapplet.exe"; Tasks: desktopicon

[Run]
Filename: "{app}\stackapplet.exe"; Description: "{cm:LaunchProgram,StackApplet}"; Flags: nowait postinstall skipifsilent

