#============================
#
#          py2exe setup file
#   for StackApplet on Windows
#
#          Copyright 2010
#           Nathan Osman
#
#============================

from distutils.core import setup
import py2exe

setup( windows = [ { 'script': 'stackapplet.py',
                     'icon_resources': [ ( 1, "../other/windows/stackapplet.ico" ) ] } ],
       options = { 'py2exe': { 'packages':'encodings',
	                           'includes': 'cairo, pango, pangocairo, atk, gobject, gio',
							   'skip_archive': True } },
       data_files = [ ( 'gtk-2.0', [ 'stackapplet.glade' ] ),
                      ( 'images', [ '../images/meta.stackoverflow.png',
                                    '../images/serverfault.png',
									'../images/stackapplet.png',
									'../images/stackapplet_grey.png',
									'../images/stackapplet_light.png',
									'../images/stackapps.png',
									'../images/stackoverflow.png',
									'../images/superuser.png' ] ) ] )